@book{macrae,
	author 		= {MACRAE, Callum},
	title 		= {Vue.js: up and running: building accessible and performant web apps},
	publisher 	= {Sebastopol: O'Reilly},
	date 		= {2018},
	isbn 		= {9781491997246}
}

@thesis{lapunik,
	author 		= {Lapuník, Vojtěch},
	title 		= {Řídící software pro modelové kolejiště},
	date 		= {2019},
	type 		= {bathesis},
	institution = {Západočeská univerzita v Plzni, Fakulta elektrotechnická},
	location 	= {Plzeň},
	supervisor	= {Ing. Petr Weissar Ph.D.}
}

@online{vue,
	title		= {Vue},
	url			= {https://v3.vuejs.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{axios,
	title		= {Axios},
	url			= {https://github.com/axios/axios},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{datefns,
	title		= {Date fns},
	url			= {https://date-fns.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{lodash,
	title		= {lodash},
	url			= {https://lodash.com},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{log4javascript,
	title		= {log4javascript},
	url			= {http://log4javascript.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{pinia,
	author 		= {Morote, Eduardo San Martin},
	title		= {pinia},
	url			= {https://github.com/posva/pinia},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{quasar,
	title		= {quasar},
	url			= {https://quasar.dev},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{socketio,
	title		= {socket.io},
	url			= {https://socket.io/docs/v4},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{vuematomo,
	title		= {vue matomo},
	url			= {https://github.com/AmazingDreams/vue-matomo},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{vuerouter,
	title		= {vue router},
	url			= {https://router.vuejs.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{vuedraggable,
	title		= {vuedraggable},
	url			= {https://github.com/SortableJS/Vue.Draggable},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{typescript,
	author		= {Microsoft},
	title		= {typescript},
	url			= {https://www.typescriptlang.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{eslint,
	title		= {eslint},
	url			= {https://eslint.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{sass,
	title		= {sass},
	url			= {https://sass-lang.com/guide},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{bcryptjs,
	title		= {bcryptjs},
	url			= {https://github.com/dcodeIO/bcrypt.js},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{jwt,
	title		= {JWT},
	url			= {https://jwt.io/introduction},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{jsonschema,
	title		= {jsonschema},
	url			= {https://json-schema.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{jsonwebtoken,
	title		= {jsonwebtoken},
	url			= {https://github.com/auth0/node-jsonwebtoken},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{koa,
	title		= {koa},
	url			= {https://koajs.com},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{koahelmet,
	title		= {koa helmet},
	url			= {https://github.com/venables/koa-helmet},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{mysql2,
	title		= {mysql2},
	url			= {https://github.com/sidorares/node-mysql2},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{objection,
	title		= {objection},
	url			= {https://vincit.github.io/objection.js},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{knexjs,
	title		= {knexjs},
	url			= {http://knexjs.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{sanitizehtml,
	title		= {sanitize html},
	url			= {https://github.com/apostrophecms/sanitize-html},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{winston,
	title		= {winston},
	url			= {https://github.com/winstonjs/winston},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{webpack,
	title		= {webpack},
	url			= {https://webpack.js.org/guides/getting-started},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{bestnodejsframework,
	author		= {Kaneriya, Tejas},
	title		= {12 Best Nodejs Frameworks for Web Apps in 2021},
	url			= {https://www.simform.com/best-nodejs-frameworks},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{restapi,
	author		= {Fredrich, Todd},
	title		= {Rest API Tutorial},
	url			= {https://www.restapitutorial.com/lessons/whatisrest.html},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{wshttp,
	author		= {Carnahan, Jeff},
	title		= {When to use a HTTP call instead of a WebSocket (or HTTP 2.0)},
	url			= {https://blogs.windows.com/windowsdeveloper/2016/03/14/when-to-use-a-http-call-instead-of-a-websocket-or-http-2-0},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{background,
	author		= {Drouin, Emmanuel},
	title		= {Animace pozadí},
	url			= {https://codepen.io/Sepion/pen/ZQJyeq},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{err404,
	author		= {Garnier, Julian},
	title		= {Animace na stránce 404},
	url			= {https://codepen.io/juliangarnier/pen/gmOwJX},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{paletton,
	title		= {paletton},
	url			= {https://paletton.com},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{vuebootstrap,
	title		= {Vue Bootstrap},
	url			= {https://bootstrap-vue.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{bootstrap,
	title		= {Bootstrap},
	url			= {https://getbootstrap.com},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{elementplus,
	title		= {Element plus},
	url			= {https://element-plus.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{angular,
	title		= {Angular},
	url			= {https://angular.io},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{react,
	title		= {React},
	url			= {https://reactjs.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{jquery,
	title		= {jQuery},
	url			= {https://jquery.com},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{webrtc,
	title		= {Web RTC},
	url			= {https://webrtc.org},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{sails,
	title		= {Sails},
	url			= {https://sailsjs.com},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{docker,
	title		= {Docker},
	url			= {https://docs.docker.com/get-started},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{babel,
	title		= {Babel},
	url			= {https://babeljs.io},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{vuecli,
	title		= {Vue CLI},
	url			= {https://cli.vuejs.org/guide},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{console,
	title		= {Console asciiart},
	url			= {https://asciiart.website/index.php?art=transportation/trains},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{express,
	title		= {Express},
	url			= {https://expressjs.com},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{nodevsphp,
	title		= {Node.js vs PHP},
	url			= {https://www.simform.com/nodejs-vs-php},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{webassembly,
	title		= {How JavaScript works: A comparison with WebAssembly + why in certain cases it’s better to use it over JavaScript},
	author		= {Zlatkov, Alexander},
	url			= {https://blog.sessionstack.com/how-javascript-works-a-comparison-with-webassembly-why-in-certain-cases-its-better-to-use-it-d80945172d79},
	langid		= {english},
	urldate		= {2021-05-01}
}

@thesis{vueangularreact,
	author 		= {Vovchuk, Yuriy},
	title 		= {Srovnání progresivních frameworků Vue.js, React a Angular},
	date 		= {2019},
	type 		= {bathesis},
	institution = {Vysoká škola ekonomická v Praze, Fakulta informatiky a statistiky},
	location 	= {Praha},
	supervisor	= {Ing. Filip Vencovský Ph.D}
}

@online{npm,
	title		= {NPM},
	url			= {https://docs.npmjs.com/about-npm},
	langid		= {english},
	urldate		= {2021-05-01}
}

@online{node,
	title		= {node.js},
	url			= {https://nodejs.org/en/about},
	langid		= {english},
	urldate		= {2021-05-01}
}